#ifndef MESSAGES_H_INCLUDED
#define MESSAGES_H_INCLUDED

//* makeSIGN Messages

//* Language:	de (german)
//* Author:	Christian Garbs <mitch@uni.de>
//* Date:	99-08-23
//* Version:    1.33.1

//* If you want makeSIGN to have native language support for YOUR
//* language, then edit this file and send it to <mitch@uni.de>
//* It will then be included within the next version of makeSIGN.

//* Be sure to make clean; make all if you change something in here.

//* Here you can get makeSIGN

#define URL      		"http://www.h.shuttle.de/mitch/de-download.html#makeSIGN"

//* These are status messages

#define	TXT_OPEN_INPUTFILE	"ffne Spruchdatei"
#define TXT_OPEN_SIGFILE	"ffne Signaturdatei"
#define	TXT_OPEN_CONFIGFILE	"ffne Konfigurationsdatei"
#define TXT_OPEN_HEADERFILE	"ffne Kopfdatei"
#define TXT_OPEN_FOOTERFILE	"ffne Fudatei"

#define TXT_CLOSE_INPUTFILE	"Schliee Spruchdatei"
#define TXT_CLOSE_SIGFILE	"Schliee Signaturdatei"
#define	TXT_CLOSE_CONFIGFILE	"Schliee Konfigurationsdatei"
#define TXT_CLOSE_HEADERFILE	"Schliee Kopfdatei"
#define TXT_CLOSE_FOOTERFILE	"Schliee Fudatei"

#define TXT_COPY_QUOTE		"Kopiere den Spruch"
#define TXT_INDEX_QUOTES	"Indiziere Sprche"
#define	TXT_PICK_QUOTE		"Whle Spruch aus"

#define TXT_READ_HEADERLENGTH	"Lese die Lnge der Kopfdatei"
#define	TXT_WRITE_HEADERFILE	"Schreibe den Kopf in die Signaturdatei"
#define	TXT_SKIP_HEADERFILE	"berspringe den Kopf (zu lang)"
#define	TXT_CHECK_HEADERLENGTH	"berprfe die Lnge der Kopfdatei"

#define	TXT_WRITE_FOOTERFILE	"Schreibe den Fu in die Signaturdatei"
#define	TXT_SKIP_FOOTERFILE	"berspringe den Fu (zu lang)"
#define	TXT_CHECK_FOOTERLENGTH	"berprfe die Lnge der Fudatei"

#define TXT_LOOK_FOR_ALT	"Prfe auf abweichenden Kopf/Fu"
#define TXT_WRITE_SEPARATOR	"Schreibe Trennzeile"

#define TXT_USE_CMDLINE		"Benutze Kommandozeilenparameter"
#define	TXT_USE_CONFIGFILE	"Benutze Konfigurationsdatei"

#define	TXT_ENDING_NORMAL	"normales Programmende"
#define	TXT_ENDING_ABNORMAL	"abnormales Programmende\n'makesign -?' fr Hilfe"

#define	TXT_OK			"OK"
#define	TXT_ERROR		"Fehler"
#define	TXT_COMPILED_ON		"compiliert am"
#define	TXT_CURRENT_VERSION	"aktuelle Version"

//* These are error messages

#define ERROR_STRICT_HEADER	"STRICT kann nicht zusammen mit <STDIN> als Kopf benutzt werden"
#define ERROR_STRICT_FOOTER	"STRICT kann nicht zusammen mit <STDIN> als Fu benutzt werden"
#define	ERROR_MORE_THAN_LINMAX	"Es gibt keine Sprche mit $LINES_MAX$ oder weniger Zeilen"
#define	ERROR_TWO_STDINS	"Kopf und Fu knnen nicht beide auf <STDIN> gesetzt werden"
#define	ERROR_UNKNOWN_CMDLINE	"Unbekannter Kommandozeilenparameter"
#define	ERROR_UNKNOWN_CFGLINE	"Unbekanntes Kommando in Konfigurationsdatei"
#define	ERROR_MORE_THAN_INFMAX	"Es sind nicht mehr als $INFILES_MAX$ Spruchdateien erlaubt"
#define	ERROR_NO_INPUTFILE	"Keine Spruchdatei in der Konfigurationsdatei angegeben"
#define	ERROR_MEMORY_FULL	"Nicht genug freier Speicher, um Aktion auszufhren"

//* This is the help page that is printed when no options are given.
//* Note: Blank lines will not be printed.

#define	HELP_SCREEN_LINE1	"Aufruf:"
#define	HELP_SCREEN_LINE2	"makesign [-?SVeoqsv] [-f FUSSDATEI] [-h KOPFDATEI] [--help]"
#define	HELP_SCREEN_LINE3	"         [--strict] [--version] [--equal] [--override] [--quiet]"
#define	HELP_SCREEN_LINE4	"         [--separator] [--verbose] [--footer FUSSDATEI] [--header"
#define HELP_SCREEN_LINE5       "         KOPFDATEI] Signaturdatei Spruchdatei_1 [Spruchdatei_2 ..."
#define	HELP_SCREEN_LINE6	"         Spruchdatei_20]"
#define	HELP_SCREEN_LINE7	"oder"
#define	HELP_SCREEN_LINE8	"makesign Konfigurationsdatei"
#define	HELP_SCREEN_LINE9	""
#define	HELP_SCREEN_LINE10	""
#define	HELP_SCREEN_LINE11	""
#define	HELP_SCREEN_LINE12	""
#define	HELP_SCREEN_LINE13	""

#endif

